function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"7",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
			init_mini(1);
			create_mini(8128);
end;
function gameinput (sender,id,attachedID)

	
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"7",100,"messageinfo")
		end;		
	BlockCursor(false);

	-- if id==2 then
		-- BlockCursor(false);
	-- return;end;
	if id==17 then
		BlockCursor(false)
		finish_mini_game(true);

	return;end;		

	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	

		
	if sender==30 then
		setcurentleaf("photo",5,1);
		DarkScreen(false);
		if flags.minicomplete6 then		
			StopEmiter("Urna1")		
			Set_Cursor(37,3);
			collaps_obj(227,0,0,0,0);
			collaps_obj(1027,0,0,0,0);
			AddElement("gr",1027);
			StartTimer(9999,2.5)
			setcolor(227,0,0,0,0.5,1);
			MoveObjectToTree(1027); 
			flags.reaktivi=true;	
savegame(SaveLevel())			
		return; end;
	return; end;
	
	if sender==36 then
	if id==2100 then
		BlockCursor(false);
	   clear_satelite_leaf("photo");
	return;end;   
	return;end;
	
	if sender==10 then
		flags.minicomplete6=true;
		playeffect("miniC");
		StartTimer(2100,2)
		BlockCursor(true);
	return;end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;

	if sender==1 then
		if id==6000 then
			CreateWindow(200,200,"7",100,"messageinfo") 
		return;end;		
	
		if id==2 then
			--speciale_action(2,14);
			--speciale_action(2,12);
			finish_mini_game(false);	
			playeffect("close");			
			clear_satelite_leaf("photo");
			DeleteResource("em0000");
			DeleteResource("em0001");
			DeleteResource("em0002");
			DeleteResource("em0003");
			DeleteResource("em0004");
			DeleteResource("em0005");
			DeleteResource("em0006");		
			DeleteResource("em0007");	
			DeleteResource("em0008");
			DeleteResource("em0009");		
			DeleteResource("em0010");			
			DeleteResource("em0011");
			DeleteResource("em0017");
		return;end;
		if id==5000 and skipping then
			if not flags.minicomplete6 then
				playeffect("skip");
				speciale_action(2,8);
				BlockCursor(true)
				speciale_action(2,17,true,3);
			return;end;		
		return;end;		
		
		if id==8 then
		    speciale_action(2,8);
		    speciale_action(2,17,true,3);
		--	speciale_action(2,2000);	
			--ScaleObject(17,1,1.1);	
		return;end;
	return; end;	
end;
function mini_delete ()

end;